<!DOCTYPE html>
<html>
    <head>
        <title>EL SISTEMA SOLAR</title>
		
        <style>
            html, body { margin: 0; padding: 0; overflow: hidden; }
            #info {
                position: absolute;
                padding: 10px;
                width: 100%;
                text-align: center;
                color: #FFFFFF;
            }
        </style>
    </head>
    <body>
        <div id="info">Sistema Solar Por Jorge Duque<br/>
					<br/>
							<br/>
        </div>
    <script src="js/three.min.js"></script>
    <script>
		var scene, aspect, camera, renderer;
		var geometry1, geometry2;
		var sol,planeta1,planeta2,planeta3,planeta4,luna;
		var startTime = Date.now();
			scene = new THREE.Scene();
			aspect = window.innerWidth / window.innerHeight;
			camera = new THREE.PerspectiveCamera( 45, aspect, 0.1, 1000);
			renderer = new THREE.WebGLRenderer();
			renderer.setSize( window.innerWidth, window.innerHeight );
			document.body.appendChild( renderer.domElement );
			  
			var size = 35;
			var arrowSize = 1;
			var divisions = size;
			var origin = new THREE.Vector3( 0, 0, 0 );
			var x = new THREE.Vector3( 1, 0, 0 );
			var y = new THREE.Vector3( 0, 1, 0 );
		  	var z = new THREE.Vector3( 0, 0, 1 );
			var color1 = new THREE.Color( 0xFFFFFF );
		  	var color2 = new THREE.Color( 0x333333 );
		  	var colorR = new THREE.Color( 0xAA0000 );
		  	var colorG = new THREE.Color( 0x00AA00 );
		  	var colorB = new THREE.Color( 0x0000AA );
			var colorRd = new THREE.Color( 0x9CE610 );
		  	var colorGd = new THREE.Color( 0x66AA66 );
		  	var colorBd = new THREE.Color( 0x6666AA );
			var colorsol = new THREE.Color( 0xe87319 );
		  	var colorp1 = new THREE.Color( 0xF07B07 );
		  	var colorp2 = new THREE.Color( 0xE9DEC7 );
		  	var colorp3 = new THREE.Color( 0x067de5 );
		  	var colorluna = new THREE.Color( 0xf4f4f4);
			var colorp4 = new THREE.Color( 0xC93900 );
		  	var colorp5 = new THREE.Color( 0xCF9C69 );
			var colorp6 = new THREE.Color( 0xDCCDA5 );
            var colorp7 = new THREE.Color( 0xaa1ebc );
		  	var coloranillo = new THREE.Color( 0xE5E1D7 );
		  
		  	//CREAR LAS GRILLAS PARA EL ESCENARIO
		  	var axesHelper1 = new THREE.AxesHelper( size/10 );
			var axesHelper2 = new THREE.AxesHelper( size/10 );
			var axesHelper3 = new THREE.AxesHelper( size/10 );
		  	var gridHelperXY = new THREE.GridHelper( size, divisions, color1, color1);
		  	var gridHelperXZ = new THREE.GridHelper( size, divisions, color2, color2 );
		  	var gridHelperYZ = new THREE.GridHelper( size, divisions, color2, color2 );
            
            //ROTARLAS PARA QUE QUEDEN EN EL ESPACIO ADECUADO
            gridHelperXY.rotateOnWorldAxis ( x, THREE.Math.degToRad(90) );
            gridHelperXZ.rotateOnWorldAxis ( y, THREE.Math.degToRad(90) );
            gridHelperYZ.rotateOnWorldAxis ( z, THREE.Math.degToRad(90) );
            
            //CREAR LAS FLECHAS QUE INDICAN LOS EJES DE COORDENADAS 3D
            var arrowX = new THREE.ArrowHelper( x, origin, arrowSize, colorR );
            var arrowY = new THREE.ArrowHelper( y, origin, arrowSize, colorG );
            var arrowZ = new THREE.ArrowHelper( z, origin, arrowSize, colorB );
			
			//CREAR LAS GEOMETRÍAS
			geometrysol = new THREE.SphereGeometry(2, 50 , 16); // sol
			geometry1 = new THREE.SphereGeometry(0.3, 50 , 16); // Mercurio
			geometry2= new THREE.SphereGeometry(0.5, 50 , 16); // Venus
			geometry3 = new THREE.SphereGeometry(0.8, 50 , 16); // Tierra
			geometryluna = new THREE.SphereGeometry(0.3, 50 , 16); // Luna
			geometry4 = new THREE.SphereGeometry(0.6, 50 , 16); // marte
			geometry5 = new THREE.SphereGeometry(1.6, 50 , 16); // jupiter
			geometry6 = new THREE.SphereGeometry(1.1, 50 , 16); // saturno
			geometryanillo = new THREE.RingGeometry( 2, 1, 50 );// anillo
            geometry7 = new THREE.SphereGeometry(1.5, 50 , 16); // urano
			
			//CREAR LOS MATERIALES
			
			var materialsol = new THREE.MeshBasicMaterial( { color: colorsol } );
			var material1= new THREE.MeshBasicMaterial( { color: colorp1 } );
			var material2 = new THREE.MeshBasicMaterial( { color: colorp2 } );
			var material3 = new THREE.MeshBasicMaterial( { color: colorp3 } );
			var materialluna = new THREE.MeshBasicMaterial( { color: colorluna } );
			var material4 = new THREE.MeshBasicMaterial( { color: colorp4 } );
			var material5 = new THREE.MeshBasicMaterial( { color: colorp5 } );
			var material6 = new THREE.MeshBasicMaterial( { color: colorp6 } );
			var materialanillo = new THREE.MeshBasicMaterial( { color: coloranillo } ); // anillo
			var material7 = new THREE.MeshBasicMaterial( { color: colorp7 } );
			 
			//CREAR LOS OBJETOS
			
			sol = new THREE.Mesh( geometrysol, materialsol );	//SOL
			sol.applyMatrix( new THREE.Matrix4().makeScale(1,1,1) );
			sol.applyMatrix( new THREE.Matrix4().makeTranslation( 0, 2, 0) );
			
			planeta1 = new THREE.Mesh( geometry1, material1 ); //Mercurio
			planeta1.applyMatrix( new THREE.Matrix4().makeScale(1,1,1) );
			planeta1.applyMatrix( new THREE.Matrix4().makeTranslation( 0, 2 , 5) );
			
			planeta2 = new THREE.Mesh( geometry2, material2 ); //venus
			planeta2 .applyMatrix( new THREE.Matrix4().makeScale(1,1,1) );
			planeta2 .applyMatrix( new THREE.Matrix4().makeTranslation( 0, 2, 6.2) );
			
			planeta3 = new THREE.Mesh( geometry3, material3 ); //tierra
			planeta3.applyMatrix( new THREE.Matrix4().makeScale(1,1,1) );
			planeta3.applyMatrix( new THREE.Matrix4().makeTranslation( 0, 2 , 8) );
			
			luna = new THREE.Mesh( geometryluna, materialluna ); //luna
			luna.applyMatrix( new THREE.Matrix4().makeScale(1.3,1.3,1.3) );
			luna.applyMatrix( new THREE.Matrix4().makeTranslation( 0, 0 , 9.2) );
			
			planeta4 = new THREE.Mesh( geometry4, material4 ); //marte
			planeta4.applyMatrix( new THREE.Matrix4().makeScale(1,1,1) );
			planeta4.applyMatrix( new THREE.Matrix4().makeTranslation( 0, 2 , 10) );
			
			planeta5 = new THREE.Mesh( geometry5, material5 ); //jupiter
			planeta5.applyMatrix( new THREE.Matrix4().makeScale(1,1,1) );
			planeta5.applyMatrix( new THREE.Matrix4().makeTranslation( 0, 2 , 14) );
			
			planeta6 = new THREE.Mesh( geometry6, material6 ); //saturno
			planeta6.applyMatrix( new THREE.Matrix4().makeScale(1,1,1) );
			planeta6.applyMatrix( new THREE.Matrix4().makeTranslation( 0, 2 , 17) );
			
			anillo = new THREE.Mesh( geometryanillo, materialanillo ); //anillo
			anillo.applyMatrix( new THREE.Matrix4().makeScale(1,1,1) );
			anillo.applyMatrix( new THREE.Matrix4().makeTranslation( 0, 2 , 17) );
			anillo.rotation.x = Math.sin(-90);
			
            planeta7 = new THREE.Mesh( geometry7, material7 ); //urano
			planeta7.applyMatrix( new THREE.Matrix4().makeScale(1.4,1.4,1.4) );
			planeta7.applyMatrix( new THREE.Matrix4().makeTranslation( 0, 2 , 26) );
        
			scene.add(planeta1);
			scene.add(planeta2);
			scene.add(planeta3);
			planeta3.add(luna);
			scene.add(planeta4);
			scene.add(planeta5);
			scene.add(planeta6);
			scene.add(anillo);
			scene.add(planeta7);
		  	//AGREGAR A LA ESCENA
			
            scene.add( gridHelperXZ );
		  	scene.add( arrowX );	
		  	scene.add( arrowY );	
		  	scene.add( arrowZ );	
			scene.add( sol );
			
			//MOVER LA CAMARA
			
			camera.position.x = 35;
			camera.position.y = 5;	 
		  	camera.position.z = 0;			
			
			 //FONDO DE ESTRELLAS
		  	var starsGeometry = new THREE.Geometry();
			for ( var i = 0; i < 10000; i ++ ) {
				var star = new THREE.Vector3();
				star.x = THREE.Math.randFloatSpread( 1700 );
				star.y = THREE.Math.randFloatSpread( 1700 );
				star.z = THREE.Math.randFloatSpread( 1700 );
				starsGeometry.vertices.push( star );
				}
			var starsMaterial = new THREE.PointsMaterial( { color: 0x888888 } );
			var starField = new THREE.Points( starsGeometry, starsMaterial );
			scene.add( starField );
			 
			//FUNCION PARA ROTAR LOS PLANETAS
    	function render(){

		requestAnimationFrame(render);
		var dtime = Date.now()-startTime;
			planeta1.position.x = 3*Math.cos(dtime/1000);
			planeta1.position.z = 3*Math.sin(dtime/1000);
		
			planeta2.position.x = 4.3*Math.cos(dtime/500);
			planeta2.position.z = 4.3*Math.sin(dtime/500);
		
			planeta3.position.x = 6.3*Math.cos(dtime/1000);
			planeta3.position.z = 6.3*Math.sin(dtime/1000);
		
			luna.position.x = 1.6*Math.cos(dtime/500);
			luna.position.z = 1.6*Math.sin(dtime/500);
		
			planeta4.position.x = 8.5*Math.cos(dtime/1500);
			planeta4.position.z = 8.5*Math.sin(dtime/1500);
			
			planeta5.position.x = 12.5*Math.cos(dtime/1600);
			planeta5.position.z = 12.5*Math.sin(dtime/1600);
		
			planeta6.position.x = 15.5*Math.cos(dtime/1300);
			planeta6.position.z = 15.5*Math.sin(dtime/1300);
		
			anillo.position.x = 15.5*Math.cos(dtime/1300);
			anillo.position.z = 15.5*Math.sin(dtime/1300);
		
            planeta7.position.x = 20*Math.cos(dtime/1300);
			planeta7.position.z = 20*Math.sin(dtime/1300);
        camera.lookAt( 0, 0, 0 );
        renderer.render( scene, camera );
    }
	
	render();
    </script>
  </body>
</html>